## org.biojava.bio.seq.io.filterxml
Interface XMLAnnotationTypeHandler.PropertyConstraintHandler

All Superinterfaces:
  StAXContentHandler

Enclosing class:
  XMLAnnotationTypeHandler

    public static interface XMLAnnotationTypeHandler.PropertyConstraintHandler

extends StAXContentHandler

Handler for an individual `PropertyConstraint` in an AnnotationType. Implement this if you want to add support for additional types of PropertyConstraint.

Method Summary
`PropertyConstraint` `getPropertyConstraint()`

Methods inherited from interface org.biojava.utils.stax.StAXContentHandler
`characters, endElement, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startElement, startPrefixMapping, startTree`

Method Detail

### getPropertyConstraint

    PropertyConstraint getPropertyConstraint()
                                             throws SAXException

  Throws:
    `SAXException`